VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Configuration Class Reference
Inheritance diagram for Com::Vmware::Content::Configuration:

## Avaliable Methods
public method | get ()
public method | new ()
public method | update ()

## Detailed Description

The `Com::Vmware::Content::Configuration` interface provides methods to configure the global settings of the Content Library Service.

The configuration settings are used by the Content Library Service to control the behavior of various operations.

## Member Function Documentation

public method Com::Vmware::Content::Configuration::get | ( |  | ) |

Retrieves the current configuration values.

Return values

  The | class Com::Vmware::Content::ConfigurationModel instance representing the configuration of the Content Library Service. The return type will be Com::Vmware::Content::ConfigurationModel

Code:
click to view
# Number of lines of code in get: 4
sub get {
my ($self, %args) = @_;
return $self->invoke(method_name => 'get', method_args => {});
}

public method Com::Vmware::Content::Configuration::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Configuration::update | ( |  | ) |

Updates the configuration. The update is incremental. Any field in the class Com::Vmware::Content::ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Parameters

  model | [REQUIRED] The class Com::Vmware::Content::ConfigurationModel specifying the settings to update. . The value must be Com::Vmware::Content::ConfigurationModel.

Exceptions

  Com::Vmware::Vapi::Std::Errors::InvalidArgument | if one of the configuration properties is not within the proper range.

Code:
click to view
# Number of lines of code in update: 10
sub update {
my ($self, %args) = @_;
my $model = $args {model};
$self->validate_args (method_name => 'update',
method_args => \%args);
return $self->invoke (method_name => 'update',
method_args => \%args);
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Configuration.pm